SHANNON A.I. Logo
SHANNON A.I.
Klets Pryse API Navorsing Maatskappy Pentest AI Startup Boost
Teken In
Plan & Gebruik
Klets Pryse API Navorsing Maatskappy Pentest AI Startup Boost Teken In Plan & Gebruik

Kies jou taal

Alle tale is gelyk. Kies die een waarin jy wil blaai.

API-dokumentasie

Shannon API

OpenAI- en Anthropic-compatibele AI-API met funksie-oproepe, websoektog en gestruktureerde uitvoer.

Kry jou API-sleutel Probeer Speelgrond V2
Dokumentasie
  • OV Oorsig
  • CP Vermoëns
  • QS Vinnige begin
  • PG API‑speelgrond Nuut
  • AU Verifikasie
  • ML Modelle
  • FN Funksie-oproepe
  • JS Gestruktureerde uitvoer
  • SS Stroming
  • WS Websoektog
  • AN Anthropic
  • SD SDK's
  • ER Fouthantering
  • CL Veranderingslog
  • AK Jou API‑sleutel
  • US Jou gebruik

Shannon AI API Documentation

Oorsig

Publieke dokumentasie

Alles wat jy nodig het om te stuur met Shannon se OpenAI- en Anthropic-compatibele API.

Basis-URL OpenAI-versoenbaar
https://api.shannon-ai.com/v1/chat/completions

Gebruik die Chat Completions API met funksie-aanroepe en streaming.

Basis-URL Anthropic-versoenbaar
https://api.shannon-ai.com/v1/messages

Claude Messages-formaat met gereedskap en anthropic-version-opskrif.

Opskrifte Verifikasie
Authorization: Bearer <api-key>

Of X-API-Key met anthropic-version vir Claude-styl oproepe.

Toegang Status
Publieke dokumentasie - Sleutel benodig vir oproepe

Streaming, funksie-aanroepe, gestruktureerde uitsette, websoek.

Begin-kontrolelys
  • +
    Rig jou SDK na Shannon
    Stel baseURL na die OpenAI- of Anthropic-endpunte hierbo.
    Opstelling
  • +
    Voeg jou API-sleutel by
    Gebruik Bearer-tokens vir OpenAI-oproepe of X-API-Key + anthropic-version.
    Sekuriteit
  • +
    Aktiveer gereedskap en gestruktureerde uitsette
    Ondersteun OpenAI tools/funksies, JSON-skema en ingeboude web_search.
    Vermoëns
  • +
    Volg gebruik
    Sien token- en soekverbruik op hierdie bladsy wanneer jy by jou rekening aangemeld is.
    Analitika

Vermoëns

OpenAI + Anthropic

Inruilvervanger vir OpenAI- en Anthropic-API's met ingeboude ondersteuning vir gereedskap, gestruktureerde uitvoer en ingeboude websoektog.

AI

Drop‑in‑vervanging

Versoenbaar

Werk met OpenAI en Anthropic SDK's. Verander net die basis‑URL.

AI

Funksie‑aanroep

Gereedskap

Definieer gereedskap; laat Shannon dit aanroep. Ondersteun auto-, forced- en none‑modusse.

AI

Ingeboude Websoek

Soek

Regstreekse websoek met bronverwysings. Outomaties beskikbaar.

AI

Gestruktureerde Uitsette

JSON

JSON‑modus en afdwinging van JSON‑skema vir betroubare data‑onttrekking.

AI

Veelvoudige‑beurt Gereedskap

Agenties

Outomatiese funksie‑uitvoerlusse. Tot 10 iterasies per versoek.

AI

Stroming

Vinnig

Server‑sent events vir regstreekse token‑stroming.

Vinnige begin

5 minute

Begin in drie stappe. Shannon weerspieël OpenAI- en Anthropic‑kliënte.

1

Stel jou basis‑URL

Gebruik die OpenAI‑versoenbare eindpunt.

https://api.shannon-ai.com/v1/chat/completions
2

Voeg jou API‑sleutel by

Gebruik Bearer‑outentisering in die Authorization‑kop.

3

Stuur jou eerste boodskap

Kies ’n taal en plaas jou sleutel.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Antwoordformaat

Sukses‑antwoord
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API‑speelgrond

Nuut

Toets die Shannon API direk in jou blaaier. Bou jou versoek, voer dit uit en sien die antwoord in regstreekse tyd.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/af/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Probeer Speelgrond V2 Kry jou API-sleutel

Verifikasie

Alle API-versoeke vereis verifikasie met jou Shannon API-sleutel.

OpenAI-formaat (Aanbeveel)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Modelle

Shannon bied verskeie modelle geoptimaliseer vir verskillende gebruiksgevalle.

AI
shannon-1.6-lite Shannon 1.6 Lite

Vinnige, doeltreffende antwoorde vir alledaagse take

Konteks 128K
Beste vir Chat, V&A, inhoudgenerering
AI
shannon-1.6-pro Shannon 1.6 Pro

Gevorderde redenasie vir komplekse probleme

Konteks 128K
Beste vir Analise, navorsing, komplekse take
AI
shannon-2-lite Shannon 2 Lite

Konteks 128K
Beste vir
AI
shannon-2-pro Shannon 2 Pro

Konteks 128K
Beste vir
AI
shannon-coder-1 Shannon Coder

Geoptimaliseer vir Claude Code CLI met oproep-gebaseerde kwota

Konteks 128K
Beste vir Kodegenerering, gebruik van gereedskap, CLI-integrasie
Oproep-gebaseerde kwota

Funksie-oproepe

Definieer gereedskap wat Shannon kan aanroep om aksies uit te voer of inligting te verkry.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Gereedskap-keuse opsies

"auto" Model besluit of n funksie geroep moet word (verstek)
"none" Skakel funksie-aanroepe vir hierdie versoek af
{"type": "function", "function": {"name": "..."}} Forseer n spesifieke funksie-oproep

Funksie-oproep respons

Wanneer model n funksie oproep
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Gestruktureerde uitvoer

Dwing Shannon om met geldige JSON te antwoord wat by jou skema pas.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Responsformaat-opsies

{"type": "json_object"} Forseer geldige JSON-uitset (geen spesifieke skema)
{"type": "json_schema", "json_schema": {...}} Forseer uitset wat by jou presiese skema pas

Stroming

Aktiveer regstreekse token-stroming met Server-Sent Events vir responsiewe UI's.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Wenk: Streaming-antwoorde kom as Server-Sent Events aan. Elke blok bevat n delta met gedeeltelike inhoud.

Websoektog

Shannon sluit 'n ingeboude web_search-funksie in wat outomaties beskikbaar is.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Pro-wenk: Websoek-resultate sluit aanhalings in. Shannon sal outomaties bronne aanhaal.

Anthropic

Shannon ondersteun ook Anthropic se Messages API-formaat.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Vereiste opskrif: Anthropic-formaat vereis anthropic-version: 2023-06-01.

SDK's

Versoenbaar

Gebruik enige OpenAI- of Anthropic-SDK — verander net die basis-URL.

OpenAI-Compatible SDKs

SDK Python

Amptelike OpenAI Python SDK - werk met Shannon

pip install openai
Bekyk dokumentasie ->
SDK JavaScript / TypeScript

Amptelike OpenAI Node.js SDK - werk met Shannon

npm install openai
Bekyk dokumentasie ->
SDK Go

Gemeenskaps-Go-kliënt vir OpenAI-versoenbare APIs

go get github.com/sashabaranov/go-openai
Bekyk dokumentasie ->
SDK Ruby

Gemeenskaps-Ruby-kliënt vir OpenAI-versoenbare APIs

gem install ruby-openai
Bekyk dokumentasie ->
SDK PHP

Gemeenskaps-PHP-kliënt vir OpenAI-versoenbare APIs

composer require openai-php/client
Bekyk dokumentasie ->
SDK Rust

Asinchroniese Rust-kliënt vir OpenAI-versoenbare APIs

cargo add async-openai
Bekyk dokumentasie ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Amptelike Anthropic Python SDK - werk met Shannon

pip install anthropic
Bekyk dokumentasie ->
SDK TypeScript (Anthropic)

Amptelike Anthropic TypeScript SDK - werk met Shannon

npm install @anthropic-ai/sdk
Bekyk dokumentasie ->

Fouthantering

Shannon gebruik standaard HTTP‑statuskodes en gee gedetailleerde foutboodskappe terug.

400 Ongeldige versoek Ongeldige versoekformaat of parameters
401 Ongemagtig Ongeldige of ontbrekende API‑sleutel
402 Kwota oorskry Token- of soekkwota oorskry
429 Tempo beperk Te veel versoeke, vertraag
500 Bedienerfout Interne fout, probeer later weer

Foutantwoordformaat

Foutantwoord
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Veranderingslog

LOG

Onlangse opdaterings en verbeterings aan die Shannon API.

v2.1.0
2025-01-03
  • Nuut shannon-coder-1 model bygevoeg vir Claude Code CLI-integrasie
  • Nuut Oproep-gebaseerde kwotastelsel vir Coder-model
  • Verbeter Betroubaarheid van funksie-aanroepe verbeter
v2.0.0
2024-12-15
  • Nuut Anthropic Messages API-versoenbaarheid bygevoeg
  • Nuut Multi-beurt gereedskapuitvoering (tot 10 iterasies)
  • Nuut JSON Schema-responsformaat ondersteuning
  • Verbeter Websoek verbeter met beter aanhalings
v1.5.0
2024-11-20
  • Nuut shannon-deep-dapo model bygevoeg vir komplekse redenasie
  • Nuut Ingeboude web_search-funksie
  • Verbeter Laer latensie vir streaming-antwoorde
v1.0.0
2024-10-01
  • Nuut Aanvanklike API-vrystelling
  • Nuut OpenAI-versoenbare chat completions-endpunt
  • Nuut Funksie-aanroep ondersteuning
  • Nuut Streaming via Server-Sent Events

Jou API‑sleutel

Toegang
Gebruik Bearer-tokens vir OpenAI-oproepe of X-API-Key + anthropic-version.
YOUR_API_KEY
Kry jou API-sleutel

Hou jou API‑sleutel geheim. Hergenereer skep ’n nuwe sleutel en maak die oue ongeldig.

Weergawe: 1
Laas geroteer: Nooit
Laas gebruik: Nooit

Jou gebruik

Sien token- en soekverbruik op hierdie bladsy wanneer jy by jou rekening aangemeld is.

-- API‑oproepe
-- Gebruikte tokens

Shannon Coder (shannon-coder-1)

Oproep‑gebaseerde kwota vir Shannon Coder (shannon-coder-1). Stel terug elke 4 uur.

0 Oproepe gebruik
0 Oproepe oor

Gereed om te bou?

Kry jou API-sleutel en begin vandag met Shannon AI bou.

Skep API-sleutel Bekyk dokumentasie

Gewilde soektogte:

Probeer ander sleutelwoorde
Navigeer: ↑ ↓ Kies: Enter Sluit: Esc